package com.xingxi.api.service;

import com.xingxi.api.common.UserContext;
import com.xingxi.api.model.*;

public interface CartsServiceI {

    CartsListResponse add(UserContext userContext, CartsRequest request);

    CartsListResponse list(UserContext userContext, CartsRequest request);

    CartsListResponse checked(UserContext userContext, CartsRequest request);

    CartsListResponse checkedAll(UserContext userContext, CartsRequest request);

    CartsListResponse uncheckedAll(UserContext userContext, CartsRequest request);

    CartsListResponse delete(UserContext userContext, CartsRequest request);

}
